{% extends 'index.html' %}
{% block content %}

<div class="card">
    <h2>{{conta.nome}}</h2>
    <h2>{{conta.e_mail}}</h2>
    <h2>{{conta.papel}}</h2>
    {% if conta.cpf_cnpj[13] %}
        <h2>{{conta.cpf_cnpj[0:2] + '.' + conta.cpf_cnpj[2:5] + '.' + conta.cpf_cnpj[5:8] + '/' + conta.cpf_cnpj[8:12] + '-' + conta.cpf_cnpj[12:14]}}</h2>
    {% else %}
        <h2>{{conta.cpf_cnpj[0:3] + '.' + conta.cpf_cnpj[3:6] + '.' + conta.cpf_cnpj[6:9] + '-' + conta.cpf_cnpj[9:12]}}</h2>
    {% endif %}
    </br>
    {% with messages = get_flashed_messages() %}
        {% if messages %}
            <ul class=flashes>
                {% for message in messages %}
                    <li>{{ message }}</li>
                {% endfor %}
            </ul>
        {% endif %}
    {% endwith %}
    </br>
    <div class="card-buttons">
        <button id = "editar" class="card-button accountManagementButton"><i class="fas fa-edit"></i></button>
        <button id = "excluir" class="card-button card-button-left"><i class="fas fa-trash"></i></button>
    </div>
</div>
<div class="card" id ="adicao">
    <svg id="addAccountButton" class="centered-img" x="0px" y="0px" width="438.533px" height="438.533px" viewBox="0 0 438.533 438.533" xml:space="preserve">
        <path id="triangle-mask" d="M409.133,109.203c-19.608-33.592-46.205-60.189-79.798-79.796C295.736,9.801,259.058,0,219.273,0   c-39.781,0-76.47,9.801-110.063,29.407c-33.595,19.604-60.192,46.201-79.8,79.796C9.801,142.8,0,179.489,0,219.267   c0,39.78,9.804,76.463,29.407,110.062c19.607,33.592,46.204,60.189,79.799,79.798c33.597,19.605,70.283,29.407,110.063,29.407   s76.47-9.802,110.065-29.407c33.593-19.602,60.189-46.206,79.795-79.798c19.603-33.596,29.403-70.284,29.403-110.062   C438.533,179.485,428.732,142.795,409.133,109.203z M347.179,237.539c0,4.948-1.811,9.236-5.428,12.847   c-3.62,3.614-7.901,5.428-12.847,5.428h-73.091v73.084c0,4.948-1.813,9.232-5.428,12.854c-3.613,3.613-7.897,5.421-12.847,5.421   h-36.543c-4.948,0-9.231-1.808-12.847-5.421c-3.617-3.621-5.426-7.905-5.426-12.854v-73.084h-73.089   c-4.948,0-9.229-1.813-12.847-5.428c-3.616-3.61-5.424-7.898-5.424-12.847v-36.547c0-4.948,1.809-9.231,5.424-12.847   c3.617-3.617,7.898-5.426,12.847-5.426h73.092v-73.089c0-4.949,1.809-9.229,5.426-12.847c3.616-3.616,7.898-5.424,12.847-5.424   h36.547c4.948,0,9.233,1.809,12.847,5.424c3.614,3.617,5.428,7.898,5.428,12.847v73.089h73.084c4.948,0,9.232,1.809,12.847,5.426   c3.617,3.615,5.428,7.898,5.428,12.847V237.539z"/>
    </svg>
</div>
<div id="accountedit" class="card"">
    <i class="fas fa-times card-action" id = "fechar2"></i>
    </br>
    <h1>Alteração dos dados da conta</h1>
    <form action={{url_for("edit")}} method="POST">
        {{form.csrf_token}}
        <div>
            <label for="nome">Nome:</label>
            {{form.nome(placeholder = "Nome e Sobrenome", id="nome", maxlength="100")}}
        </div>
        <div>
            <label for="email">Email:</label>
            {{form.useremail(placeholder = "Endereço de E-Mail", id="email")}}
        </div>
        <div>
            <label for="password">Senha:</label>
            {{form.password(placeholder = "Senha (8 a 16 caracteres)", id="password", minlength = "8", maxlength="16")}}
        </div>
        <div>
            <label for="Papel">Papel:</label>
            {{form.papel (placeholder = "Papel do dependente", id="Papel", maxlength="100")}}
        </div>
        <div>
            <label for="RG">CPF/CNPJ:</label>
            {{form.cpf_cnpj(placeholder = "Apenas números", id="cpf", pattern="[0-9]+$", minlength = "11", maxlength="14")}}
        </div>
        <input type="submit" value="salvar">
        <div class="card-buttons">
            <button class="card-button" type="button" id = "cancelar2">Cancelar</button>
        </div>
    </form>
</div>
<div id="accountManagement" class="card"">
    <i class="fas fa-times card-action" id = "fechar"></i>
    </br>
    <h1>Cadastro de Contas de Dependentes</h1>
    <form action={{url_for("accounts")}} method="POST">
        {{form.csrf_token}}
        <div>
            <label for="nome">Nome:</label>
            {{form.nome(placeholder = "Nome e Sobrenome", id="nome", maxlength="100")}}
        </div>
        <div>
            <label for="email">Email:</label>
            {{form.useremail(placeholder = "Endereço de E-Mail", id="email")}}
        </div>
        <div>
            <label for="password">Senha:</label>
            {{form.password(placeholder = "Senha (8 a 16 caracteres)", id="password", minlength = "8", maxlength="16")}}
        </div>
        <div>
            <label for="Papel">Papel:</label>
            {{form.papel (placeholder = "Papel do dependente", id="Papel", maxlength="100")}}
        </div>
        <div>
            <label for="RG">CPF/CNPJ:</label>
            {{form.cpf_cnpj(placeholder = "Apenas números", id="cpf", pattern="[0-9]+$", minlength = "11", maxlength="14")}}
        </div>
        <input type="submit" value="salvar">
        <div class="card-buttons">
            <button class="card-button" type="button" id = "cancelar">Cancelar</button>
        </div>
    </form>
</div>


<script src={{ url_for('static', filename='js/jquery.js') }} type="text/javascript"></script>
<script src={{ url_for('static', filename='js/accounts.js') }} type="text/javascript"></script>
    
{% endblock %}